# Uses of Class
org.apache.avro.idl.IdlParser.EnumDefaultContext

## Uses of IdlParser.EnumDefaultContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.EnumDefaultContext
Modifier and Type
Field
Description
`IdlParser.EnumDefaultContext`
IdlParser.EnumDeclarationContext.`defaultSymbol`
Methods in org.apache.avro.idl that return IdlParser.EnumDefaultContext
Modifier and Type
Method
Description
`IdlParser.EnumDefaultContext`
IdlParser.EnumDeclarationContext.`enumDefault()`
`final IdlParser.EnumDefaultContext`
IdlParser.`enumDefault()`
Methods in org.apache.avro.idl with parameters of type IdlParser.EnumDefaultContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterEnumDefault(IdlParser.EnumDefaultContext ctx)`
Enter a parse tree produced by `IdlParser.enumDefault()`.
`void`
IdlListener.`enterEnumDefault(IdlParser.EnumDefaultContext ctx)`
Enter a parse tree produced by `IdlParser.enumDefault()`.
`void`
IdlBaseListener.`exitEnumDefault(IdlParser.EnumDefaultContext ctx)`
Exit a parse tree produced by `IdlParser.enumDefault()`.
`void`
IdlListener.`exitEnumDefault(IdlParser.EnumDefaultContext ctx)`
Exit a parse tree produced by `IdlParser.enumDefault()`.